# Generated by Django 2.0.5 on 2020-02-17 08:39

import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0081_auto_20200206_1334'),
        ('collector', '0003_version_and_platform'),
    ]

    operations = [
        migrations.CreateModel(
            name='CollectorServiceIntegration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('authentication_info', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('extra_config', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CollectorServiceType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=100)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='customercollector',
            name='provider',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='accounts.Provider'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='customercollector',
            name='status',
            field=models.CharField(choices=[('pending', 'pending'), ('active', 'active'), ('inactive', 'inactive')], default='pending', max_length=30),
        ),
        migrations.AddField(
            model_name='collectorserviceintegration',
            name='collector',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='integrations', to='collector.CustomerCollector'),
        ),
        migrations.AddField(
            model_name='collectorserviceintegration',
            name='integration_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='providers', to='collector.CollectorServiceType'),
        ),
    ]
